JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GridItem::Span Struct Reference
juce_gui_basics » layout

Represents a span. More...

`#include <juce_GridItem.h>`

## Public Member Functions
| Span (int numberToUse) noexcept
| Span (int numberToUse, const String &nameToUse)
| Span (const String &nameToUse)

## Public Attributes
int | number = 1
String | name

## Detailed Description

Represents a span.

## Constructor & Destructor Documentation

## ◆ Span() [1/3]

GridItem::Span::Span | ( | int | numberToUse | ) |
| explicit noexcept

References jassert.

## ◆ Span() [2/3]

GridItem::Span::Span | ( | int | numberToUse,
|  | const String & | nameToUse )
| explicit

References String::isNotEmpty(), jassert, and name.

## ◆ Span() [3/3]

GridItem::Span::Span | ( | const String & | nameToUse | ) |
| explicit

References String::isNotEmpty(), and jassert.

## Member Data Documentation

## ◆ number

int GridItem::Span::number = 1

## ◆ name

String GridItem::Span::name

The documentation for this struct was generated from the following file:

- juce_GridItem.h